## ros-jazzy-tf2-ros 0.36.4

=== debian/changelog ===
ros-jazzy-tf2-ros (0.36.4-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 28 May 2024 22:00:00 -0000

ros-jazzy-tf2-ros (0.36.3-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 12 May 2024 22:00:00 -0000

ros-jazzy-tf2-ros (0.36.2-1bookworm) bookworm; urgency=high

  * Compile fix for upcomming changes to rclcpp::Executor (#668 <https://github.com/ros2/geometry2/issues/668>)
  * Enable Twist interpolator (#646 <https://github.com/ros2/geometry2/issues/646>)
    Co-authored-by: Tully Foote <mailto:tullyfoote@intrinsic.ai>
  * Contributors: Alejandro Hernández Cordero, jmachowinski

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 09 Apr 2024 22:00:00 -0000

ros-jazzy-tf2-ros (0.36.1-1bookworm) bookworm; urgency=high

  * Adding NodeInterfaces to Buffer (#656 <https://github.com/ros2/geometry2/issues/656>)
  * Reformat some code to make uncrustify happier. (#654 <https://github.com/ros2/geometry2/issues/654>)
  * Contributors: Chris Lalancette, Lucas Wendland

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 27 Mar 2024 23:00:00 -0000

ros-jazzy-tf2-ros (0.36.0-1bookworm) bookworm; urgency=high

  * Enable intra-process (#649 <https://github.com/ros2/geometry2/issues/649>) (#642 <https://github.com/ros2/geometry2/issues/642>)
  * Contributors: Patrick Roncagliolo

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 06 Feb 2024 23:00:00 -0000

ros-jazzy-tf2-ros (0.35.1-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 23 Jan 2024 23:00:00 -0000

ros-jazzy-tf2-ros (0.35.0-1bookworm) bookworm; urgency=high

  * Avoid unecessary time conversions. (#635 <https://github.com/ros2/geometry2/issues/635>)
  * Contributors: AiVerisimilitude

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 25 Dec 2023 23:00:00 -0000

ros-jazzy-tf2-ros (0.34.0-1bookworm) bookworm; urgency=high

  * Expose TF2 listener CB (#632 <https://github.com/ros2/geometry2/issues/632>)
  * Contributors: Steve Macenski

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 05 Nov 2023 23:00:00 -0000

ros-jazzy-tf2-ros (0.33.2-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 03 Oct 2023 22:00:00 -0000

ros-jazzy-tf2-ros (0.33.1-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 06 Sep 2023 22:00:00 -0000

ros-jazzy-tf2-ros (0.33.0-1bookworm) bookworm; urgency=high

  * Fix invalid timer handle exception (#474 <https://github.com/ros2/geometry2/issues/474>)
  * Fix for #589 <https://github.com/ros2/geometry2/issues/589> - Should be able to transform with default timeout (#593 <https://github.com/ros2/geometry2/issues/593>)
  * Contributors: Cliff Wu, vineet131

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 20 Aug 2023 22:00:00 -0000

ros-jazzy-tf2-ros (0.32.2-1bookworm) bookworm; urgency=high

  * Enable StaticTransformBroadcaster in Intra-process enabled components (#607 <https://github.com/ros2/geometry2/issues/607>)
  * Contributors: Patrick Roncagliolo

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 10 Jul 2023 22:00:00 -0000

ros-jazzy-tf2-ros (0.32.1-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 10 May 2023 22:00:00 -0000

ros-jazzy-tf2-ros (0.32.0-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 26 Apr 2023 22:00:00 -0000

ros-jazzy-tf2-ros (0.31.2-1bookworm) bookworm; urgency=high

  * Destroy callback group before node (#595 <https://github.com/ros2/geometry2/issues/595>)
  * Contributors: Michael Carroll

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 12 Apr 2023 22:00:00 -0000

ros-jazzy-tf2-ros (0.31.1-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 11 Apr 2023 22:00:00 -0000

ros-jazzy-tf2-ros (0.31.0-1bookworm) bookworm; urgency=high

  * Enable TransformListener node-based constructor in Intra-process enabled components (#572 <https://github.com/ros2/geometry2/issues/572>)
  * Contributors: Patrick Roncagliolo

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 10 Apr 2023 22:00:00 -0000

ros-jazzy-tf2-ros (0.30.0-1bookworm) bookworm; urgency=high

  * Fix use-after-free bug in BufferServer::cancelCB (#579 <https://github.com/ros2/geometry2/issues/579>)
  * Update the demos to C++17. (#578 <https://github.com/ros2/geometry2/issues/578>)
  * add constructor to static tf broadcaster accepting node interfaces (#576 <https://github.com/ros2/geometry2/issues/576>)
  * Contributors: Alberto Soragna, Alexander Hans, Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 13 Feb 2023 23:00:00 -0000

ros-jazzy-tf2-ros (0.29.0-1bookworm) bookworm; urgency=high

  * Update maintainers (#560 <https://github.com/ros2/geometry2/issues/560>)
  * Contributors: Audrow Nash

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 20 Nov 2022 23:00:00 -0000

ros-jazzy-tf2-ros (0.28.0-1bookworm) bookworm; urgency=high

  * Switching from sstream to c string formatting to fix ros arg issue (#557 <https://github.com/ros2/geometry2/issues/557>)
  * allow construction of tf broadcaster from node object (not a pointer) (#555 <https://github.com/ros2/geometry2/issues/555>)
  * Allow to construct TransformBroadcaster and TransformListener from node interfaces (#552 <https://github.com/ros2/geometry2/issues/552>)
  * Contributors: Alberto Soragna, Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Nov 2022 23:00:00 -0000

ros-jazzy-tf2-ros (0.27.0-1bookworm) bookworm; urgency=high

  * Suppress spam from calling canTransform (#529 <https://github.com/ros2/geometry2/issues/529>)

